%define somajor 4
%define girapi 1.0
%define qtsomajor 2
%define libname %mklibname %{name} %{somajor}
%define devname %mklibname %{name} -d
%define girname %mklibname %{name}-gir %{girapi}
%define qtlibname %mklibname %{name}qt %{qtsomajor}
%define qtdevname %mklibname %{name}qt -d

Summary: Utilities to generate, maintain and access the AppStream database
Name:    appstream
Version: 0.15.4
Release: %mkrel 1
Group:   System/Libraries
License: GPLv2+ and LGPLv2+
URL:     https://github.com/ximion/appstream
Source0: http://www.freedesktop.org/software/appstream/releases/appstream-%{version}.tar.xz

# needed for cmake auto-provides
BuildRequires: cmake
BuildRequires: meson
BuildRequires: gettext
BuildRequires: gperf
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: qttools5
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(protobuf-lite)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(yaml-0.1)
BuildRequires: libstemmer-devel
BuildRequires: lib64xmlb-devel
BuildRequires: xmlto

Requires: %{libname} = %{version}-%{release}

%description
AppStream makes it easy to access application information from the
AppStream database over a nice GObject-based interface.

%package -n %{libname}
Summary:  Library for %{name}
Group:    System/Libraries

%description -n %{libname}
%{summary}.

%package -n %{devname}
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{devname}
%{summary}.

%package -n %{qtlibname}
Summary: Qt5 bindings for %{name}
Group:   System/Libraries
Requires: %{name} = %{version}-%{release}

%description -n %{qtlibname}
%{summary}.

%package -n %{qtdevname}
Summary:  Development files for %{name} Qt5 bindings
Group:    Development/Libraries
Provides: %{name}-qt-devel = %{version}-%{release}
Provides: %{name}-qt-devel = %{version}-%{release}

%description -n %{qtdevname}
%{summary}.

%package vala
Summary: Vala bindings for %{name}
Group:   Development/Other
Requires: %{name} = %{version}-%{release}
BuildRequires: vala-tools
Requires: vala

%description vala
%{summary}.


%prep
%setup -q
%apply_patches


%build
%meson \
  -Dqt=true \
  -Dvapi=true

%meson_build


%install
%meson_install

mkdir -p %{buildroot}/var/cache/app-info/{icons,gv,xmls}
touch %{buildroot}/var/cache/app-info/cache.watch

%find_lang appstream

%posttrans
%{_bindir}/appstreamcli refresh --force >& /dev/null ||:


%files -f appstream.lang
%{_bindir}/appstreamcli
%{_mandir}/man1/appstreamcli.1*
%config(noreplace) %{_sysconfdir}/appstream.conf
%{_datadir}/metainfo/org.freedesktop.appstream.cli.*.xml
%{_datadir}/gettext/its/metainfo.*
%ghost /var/cache/app-info/cache.watch
%dir /var/cache/app-info/
%dir /var/cache/app-info/icons/
%dir /var/cache/app-info/gv/
%dir /var/cache/app-info/xmls/

%files -n %{libname}
%{_libdir}/libappstream.so.%{somajor}
%{_libdir}/libappstream.so.%{version}
%{_libdir}/girepository-1.0/AppStream-%{girapi}.typelib

%files -n %{devname}
%{_includedir}/appstream/
%{_libdir}/libappstream.so
%{_libdir}/pkgconfig/appstream.pc
%{_datadir}/gir-1.0/AppStream-1.0.gir
%{_docdir}/appstream/html/
%exclude %{_datadir}/gtk-doc/html/appstream
%{_datadir}/installed-tests/appstream/metainfo-validate.test

%files -n %{qtlibname}
%{_libdir}/libAppStreamQt.so.%{qtsomajor}
%{_libdir}/libAppStreamQt.so.%{version}

%files -n %{qtdevname}
%{_includedir}/AppStreamQt/
%{_libdir}/cmake/AppStreamQt/
%{_libdir}/libAppStreamQt.so

%files vala
%{_datadir}/vala/vapi/appstream.deps
%{_datadir}/vala/vapi/appstream.vapi


%changelog
* Mon Aug 29 2022 tex - 0.15.4-1pclos2022
- new version

* Wed Jun 23 2021 tex - 0.14.4-1pclos2021
- new version

* Wed Feb 17 2021 tex - 0.14.1-1pclos2021
- new version

* Tue Feb 16 2021 tex - 0.13.1-1pclos2021
- new version
